---
id:
aliases: []
tags:
  - authorship/original
  - destiny/fleeting
  - status/incomplete
  - topic/construction/electrical
  - topic/estimating
  - type/idea
title: Stochastic Branch Takeoff
---
# Stochastic Branch Takeoff

generate a BOM from point loads distributed in a space.

```yaml
- x: 302.84
  y: 2364.47
  kW: 5.3
  voltage: 277
  phases: 1
...
```

determine relative impact of factors
* allowable voltage drop

## Methods

> [!cite] Reddit u/mightofmerchants
> ![[spatial-sampling.gif|300x300]]

* Poisson disc sampling
* Delunay triangulation
* Voronoi diagrams

<!-- TODO: link paper on procedural generation of single family homes -->

## Average Distance Given Area

Holding area constant,
average taxicab distance between points
varies greatly with the aspect ratio of the space.
Weighted by a probability distribution
an average length and confidence could be given for any known area.

[[sigmoid-functions]]